<!-- User-error checks -->
{{- $err_common_msg := "\n Fix this issue *before* you start debugging the errors that follow.\n It is possible that those errors will go away once you fix this issue.\n" -}}
{{- if (and .Site.Params.source.md_dir (not .Site.Params.source.url)) -}}
    {{- errorf "You set .Site.Params.source.md_dir, but forgot to set .Site.Params.source.url!%s" $err_common_msg -}}
{{- end -}}
{{- if (and .Site.Params.source.org_dir (not .Site.Params.source.url)) -}}
    {{- errorf "You set .Site.Params.source.org_dir, but forgot to set .Site.Params.source.url!%s" $err_common_msg -}}
{{- end -}}
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-us" lang="en-us" id="top">
    <head>
        <link href="https://gmpg.org/xfn/11" rel="profile">
        <meta charset="utf-8">
        <!-- Above is a short hand for the below line. -->
        <!-- http://htmldog.com/guides/html/intermediate/metatags/ -->
        <!-- <meta http-equiv="content-type" content="text/html; charset=utf-8"> -->

        <!-- Enable responsiveness on mobile devices-->
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=5">

        {{ $css := resources.Get "css/main.css" }}
        {{ $css = $css | resources.PostCSS }}
        {{ if hugo.IsProduction }}
        {{ $css = $css | minify | fingerprint | resources.PostProcess }}
        {{ end }}
        <link rel="stylesheet" href="{{ $css.RelPermalink }}" />

        <title>
            {{ if (eq .Kind "home") }}
                {{ .Site.Title }}
            {{ else if (eq .Kind "taxonomy") }}
                {{ printf "%s ‘%s’ ❚ %s" (.Data.Singular | title) .Data.Term .Site.Title }}
            {{ else }}
                {{ printf "%s ❚ %s" .Title .Site.Title }}
            {{ end }}
        </title>
        {{ with .Site.Params.favicon }}
            {{- . | safeHTML -}}
        {{ end }}

        <!-- Opengraph and Twitter -->
        {{ partial "opengraph.html" . }}
        {{ partial "twitter_cards.html" . }}

        {{ range .Site.Params.custom_css }}
            <link rel="stylesheet" href="{{ . | relURL }}">
        {{ end }}
        {{ block "head" . }}{{ end }}
    </head>

    <body lang="{{ .Site.Language.Lang }}" class="bg-washed-yellow fg-black serif">

        {{ block "top" . }}


        {{ if (not ($.Param "disable_debug")) }}
            <div style="float: left;">
                <small>
                    {{ printf `<span style="font-variant: small-caps;">.Kind</span> (<strong>%s</strong>):` .Kind | safeHTML }}
                    {{ printf `<span style="font-variant: small-caps;">.Type</span> (<strong>%s</strong>) /` .Type | safeHTML }}
                    {{ printf `<span style="font-variant: small-caps;">.Layout</span> (<strong>%s</strong>)` .Layout | safeHTML }}

                    <br />
                    {{ $bundle_type := "n/a" }}
                    {{ with .File }}
                        {{ if (eq .Path "") }}
                            {{ $bundle_type = `n/a (regular "list" page)` }}
                        {{ else }}
                            {{ if (eq .BaseFileName "_index") }}
                                {{ $bundle_type = "branch" }}
                            {{ else if (eq .BaseFileName "index") }}
                                {{ $bundle_type = "leaf" }}
                            {{ else }}
                                {{ $bundle_type = "n/a (regular page)" }}
                            {{ end }}
                        {{ end }}
                    {{ end }}
                    {{ printf `<span style="font-variant: small-caps;">Bundle</span>: <strong>%s</strong>` $bundle_type | safeHTML }}
                </small>
        </div>
        {{ end }}

        {{ with .Site.Taxonomies }}
            <div class="fr pa2">
                [
                {{ $is_first_key := true }}
                {{ range $key,$val := . }}
                    {{ with $.Site.GetPage "taxonomyTerm" $key }}
                        {{ printf `%s <a class="f4" href="%s">%s</a>` (cond $is_first_key "" "|") .Permalink .Type | safeHTML }}
                        {{ $is_first_key = false }}
                    {{ end }}
                {{ end }}
                {{ with $.Site.GetPage "page" "search" }}
                    {{ printf `%s <a href="%s"><strong>%s</strong></a>` "|" .Permalink (.Title | lower) | safeHTML }}
                {{ end }}
                ]
            </div>
            <!-- <div style="clear: both;"></div> <!-- Clear floats -->
        {{ end }}

        <div class="f2 ph2 pt1 b masthead-title"><a href="/">{{ .Site.Title }}</a></div>
        <div class="masthead-body">
            {{ with .Site.Params.intro }}
                <p>
                    {{- . | safeHTML -}}
                </p>
            {{ end }}
            <hr>
        </div>

        {{ with .File }}
            {{ with .Path }}
                {{ $path := . }}
                {{ with site.Params.source }}
                    {{ if .md_dir }}
                        <br />
                        <div style="float: right;">
                            ✱ <i>Markdown <a href="{{ .url }}/raw/master/{{ .md_dir }}/{{ $path }}">
                            source</a> of this page</i>
                        </div>
                        <div style="clear: both;"></div> <!-- Clear floats -->
                    {{ end }}
                {{ end }}
            {{ end }}
        {{ end }}

        {{ end }}               <!-- End of "top" block -->

        {{ block "main" . }}{{ end }}


        {{ partial "footer.html" . }}
    </body>
</html>

<!-- Reference time used in Go: Mon Jan 2 15:04:05 MST 2006, https://golang.org/pkg/time/#pkg-constants -->
